Skip to main content
GET
List Agent channels

Authorizations

Authorization
string
header
required

Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.

Path Parameters

agentId
string
required

Opaque Arbol resource identifier; the endpoint and tenant-scoped lookup determine its resource type.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

Query Parameters

cursor
string
Required string length: 1 - 1024
limit
integer
default:25
Required range: 1 <= x <= 100
kind
enum<string>

Channel type with an organization-managed provider endpoint.

Available options:
voice,
whatsapp
Example:

"whatsapp"

status
enum<string>

Customer-visible lifecycle state of an Agent channel.

Available options:
pending,
active,
degraded,
disabled
Example:

"active"

Response

OK

items
Agent channel · object[]
required
Maximum array length: 100
nextCursor
string | null
required
Required string length: 1 - 1024